/search
Search individual profiles using operator-based filters and return the same response shape as /samples. This endpoint requires additional permissions. Please contact your account manager to learn more or fill out our contact form here.
POST /search
POST /searchQuery Parameters
| Name | Type | Description |
|---|---|---|
area_version | enum | Specify US Area taxonomy version to use. This parameter is optional. Default: us_area_2024_4Must be one of: us_area_2024_3, us_area_2024_4 |
soc_version | enum | Specify SOC taxonomy version to use. This parameter is optional. Default: soc_2021Must be one of: soc_2021 |
title_version | enum | Specify Job Title taxonomy version to use. This parameter is optional. Default: emsiMust be one of: emsi |
cip_version | enum | Specify CIP taxonomy version to use. This parameter is optional. Default: cip2010Must be one of: cip2010, cip2020 |
company_version | enum | Specify company taxonomy version to use. This parameter is optional. Default: emsi_companyMust be one of: emsi_company |
onet_version | enum | Specify ONET taxonomy version to use. This parameter is optional. Default: onet_2019Must be one of: onet_2019 |
naics_version | enum | Specify NAICS taxonomy version to use. This parameter is optional. Default: naics_std_2022Must be one of: naics_std_2022 |
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
area_us_version | enum | Specify US Area taxonomy version to use. This parameter is optional. Default: 1.0.3Must be one of: 1.0.2, 1.0.3 |
soc_lightcast_version | enum | Specify SOC Lightcast taxonomy version to use. This parameter is optional. Default: 2018.2021.0Must be one of: 2018.2021.0 |
onet_standard_version | enum | Specify ONET Standard taxonomy version to use. This parameter is optional. Default: 2019.0.0Must be one of: 2019.0.0 |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Request Body
{
"filter": {
"personal_info": {
"email": [
{
"operator": "exists"
}
]
},
"city_name": [
{
"operator": "contains",
"value": "Toronto"
}
],
"last_updated": [
{
"operator": "after",
"value": "2025-01-01"
}
]
},
"limit": 10,
"offset": 0
}For a complete list of request parameters, including descriptions, supported operators, and examples, see the Request Parameters reference.
Code Examples
curl --request POST \
--url https://api.lightcast.io/profiles/search \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "personal_info": { "email": [ { "operator": "exists" } ] }, "city_name": [ { "operator": "contains", "value": "Toronto" } ], "last_updated": [ { "operator": "after", "value": "2025-01-01" } ] }, "limit": 10, "offset": 0 }'Response Examples
{
"data": {
"profiles": 610,
"results": [
{
"acquired_timestamp": "2016-04-15",
"city": "LCBOZXcgSmVyc2V",
"city_name": "Raritan, NJ",
"company": "068715424-Ortho-Clinical Diagnostics, Inc.",
"company_name": "Ortho-Clinical Diagnostics, Inc.",
"company_name_v2": "Itw Daelim USA",
"company_v2": "37887260",
"country": "US",
"county": 34035,
"county_name": "Somerset, NJ",
"laa_country": "US",
"laa_country_name": "United States",
"laa_admin_area_1": "US_NORTHEAST",
"laa_admin_area_1_name": "US Northeast",
"laa_admin_area_2": "US_NJ_SOMERSET",
"laa_admin_area_2_name": "Somerset County",
"laa_metro": "US_NYC",
"laa_metro_name": "New York Metro",
"educations": [
{
"cip6_name": null,
"level_name": null,
"field_raw": null,
"grad_year": null,
"isced": 6,
"isced_name": "Bachelor's or equivalent level",
"level_raw": null,
"school_id": "53bff579e4b04710d09fbd9c",
"school_name": "Michigan Technological University",
"school_raw": "michigan technological university"
},
{
"cip6_name": null,
"level_name": null,
"field_raw": "engineering",
"grad_year": null,
"isced": null,
"isced_name": null,
"level_raw": "engineering",
"school_id": "53bff579e4b04710d09fdac8",
"school_name": "United States Naval Academy",
"school_raw": "united states naval academy"
}
],
"estimated_wage_p50": 175241.2,
"id": "78108545-e39c-39d4-af8f-5d0d6d238e06",
"isced_max": 6,
"isced_max_name": "Bachelor's or equivalent level",
"last_updated": "2016-04-15",
"profile_last_seen_date": "2025-10-05",
"profile_tags": [
"Profile Has Email",
"Profile Has Phone"
],
"summary": "Technology executive with experience leading enterprise systems, product strategy, and research operations.",
"lot_career_area": "33",
"lot_career_area_name": "Science and Research",
"lot_occupation": "331312",
"lot_occupation_group": "3313",
"lot_occupation_group_name": "General Research",
"lot_occupation_name": "Researcher / Research Associate",
"lot_specialized_occupation": "33131215",
"lot_specialized_occupation_name": "Research Associate (General)",
"msa": 35620,
"msa_name": "New York-Newark-Jersey City, NY-NJ-PA",
"naics6": "325412",
"naics6_name": "Pharmaceutical Preparation Manufacturing",
"onet": "11-3021.00",
"onet_name": "Computer and Information Systems Managers",
"skills": [
"KS1270N6Z7WJQ5KVN0GG",
"KS121966TYHFTSKSFV8R",
"KS1218C6C8TX2Y1KRN37",
"KS121996C1P31W0YZVNF",
"KS1282M68WL9T4YH3SLF",
"KS1254G739VBXHP430DV",
"KS441075WGFJJ4GRFG2Q",
"KS1219261TYVPMGX8KVQ",
"KS1267F6MSPN366LX7ST",
"KS4400V6459G7LYV1X6V",
"KS125P46YVZ3V87LP697",
"KS1203T6J7F2P3TG6Y6K",
"KS121T569X502KJPS0F3",
"KS120L96KMYTDJ48NRSH",
"KS1270P6SLFCFT476Y3R",
"KS125ZB6BWF5RY40BH1B"
],
"skills_name": [
"New Business Development",
"Business Process Improvement",
"Business Analysis",
"Strategic Management",
"Product Management",
"Information Management",
"Strategic Thinking",
"Strategic Planning",
"Project Management",
"Requirements Analysis",
"Laboratory Information Management Systems",
"Account Management",
"Change Management",
"Software Development",
"New Product Development",
"Risk Management"
],
"state": 1,
"state_name": "Alabama",
"title": "ET061A46E66D20BCC3",
"title_name": "Chief Technology Officer (CTO)",
"title_raw": "CTO",
"personal_info": {
"emails": [
"[email protected]"
],
"employment_history": [
{
"company_name_raw": "Ortho Clinical Diagnostics",
"description": null,
"raw_location": "Raritan, New Jersey, United States",
"job_end_ym": null,
"job_start_ym": "2015-8",
"title_raw": "CTO"
},
{
"company_name_raw": "Biomet",
"description": "Worked to enable the IT transformational goals of the company as they moved from many legacy systems to a smaller core of modern SAP based ERP systems. In the short period of time we did data center consolidations of SAP and non-SAP systems from an acquisition and in-sourced a large and very well integrated ECC, BW, Solman, OpenText, set of systems from EMEA. Built out an SAP environment with multiple go-lives in SAP GTS, EWM, TRex,PI/PO with the B2B Add-On for EDI, BW, BPC, BOBJ, SAP HR, Pilots on ME/Mii, OpenText, Early Customer experience through Ramp-up and prod on SAP's BW on HANA on IBM pSeries. Worked to build the highest performing team I've ever had the privilege to work with and integrated them into an extremely talented & dedicated team of folks that were already in place. Truly a highlight to be associated with such great people! Worked on our integration of Biomet's systems prior to and during the acquisition by Zimmer Holdings. Helped build a successful POC of how to consolidate our new combined financials into an S/4 simple finance system using SLT from existing SAP ECC along with legacy JDE and Infor XA ERPs.",
"raw_location": "Warsaw, Indiana, United States",
"job_end_ym": "2015-8",
"job_start_ym": "2013-2",
"title_raw": "CTO & Principal Architect"
}
],
"job_description": "",
"name": "Hiro Nacamura",
"first_name": "Hiro",
"last_name": "Nacamura",
"names": [
"Hiro Nacamura"
],
"phones": [
{
"ddi": true,
"dnc": false,
"number": "+3334445556",
"type": "mobile"
}
],
"profile_urls": [],
"title_raw": "CTO"
}
}
]
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// You don't have access to search profiles.
{
"errors": [
{
"status": 403,
"title": "Forbidden",
"detail": "You don't have access to sample profiles."
}
]
}
